/*
 -  S M P L M A P I . C P P
 -  Copyright (C) 1995 Microsoft Corporation
 -
 *  Purpose:
 *      Simple MAPI stub function pointers
 *
 */

#include <afxwin.h>	 	
#include <mapiwin.h>
#include <mapi.h>
#include "smplmapi.h"

HINSTANCE hlibMAPI;

BOOL InitMapiDll()
{             
    
#ifdef	_WIN32
	if (!(hlibMAPI = LoadLibrary ("MAPI" szMAPIDLLSuffix ".DLL")))
#else
	if ((UINT)(hlibMAPI = LoadLibrary ("MAPI.DLL")) < 32)
#endif
		return (FALSE);

	if (!(lpfnMAPILogon = (LPFNMAPILOGON) GetProcAddress (hlibMAPI, "MAPILogon")))
		return (FALSE);
	if (!(lpfnMAPILogoff = (LPFNMAPILOGOFF) GetProcAddress (hlibMAPI, "MAPILogoff")))
		return (FALSE);
	if (!(lpfnMAPISendMail = (LPFNMAPISENDMAIL) GetProcAddress (hlibMAPI, "MAPISendMail")))
		return (FALSE);
	if (!(lpfnMAPISendDocuments = (LPFNMAPISENDDOCUMENTS) GetProcAddress (hlibMAPI, "MAPISendDocuments")))
		return (FALSE);
	if (!(lpfnMAPIFindNext = (LPFNMAPIFINDNEXT) GetProcAddress (hlibMAPI, "MAPIFindNext")))
		return (FALSE);
	if (!(lpfnMAPIReadMail = (LPFNMAPIREADMAIL) GetProcAddress (hlibMAPI, "MAPIReadMail")))
		return (FALSE);
	if (!(lpfnMAPISaveMail = (LPFNMAPISAVEMAIL) GetProcAddress (hlibMAPI, "MAPISaveMail")))
		return (FALSE);
	if (!(lpfnMAPIDeleteMail = (LPFNMAPIDELETEMAIL) GetProcAddress (hlibMAPI, "MAPIDeleteMail")))
		return (FALSE);
	if (!(lpfnMAPIFreeBuffer = (LPFNMAPIFREEBUFFER) GetProcAddress (hlibMAPI, "MAPIFreeBuffer")))
		return (FALSE);
	if (!(lpfnMAPIAddress = (LPFNMAPIADDRESS) GetProcAddress (hlibMAPI, "MAPIAddress")))
		return (FALSE);
	if (!(lpfnMAPIDetails = (LPFNMAPIDETAILS) GetProcAddress (hlibMAPI, "MAPIDetails")))
		return (FALSE);
	if (!(lpfnMAPIResolveName = (LPFNMAPIRESOLVENAME) GetProcAddress (hlibMAPI, "MAPIResolveName")))
		return (FALSE);

    return (TRUE);
}

void DeinitSimpleMAPI ()
{
	if (hlibMAPI)
	{
		FreeLibrary (hlibMAPI);
		hlibMAPI = 0;
	}
}
